Inhalte

# Funktion SLN [VBA]

Ergibt die lineare Abschreibung eines Wirtschaftsgutes für eine Periode. Die Abschreibungshöhe ist über den gesamten Abschreibungszeitraum gleichbleibend.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    SLN (Cost as Double, Salvage as Double, Life as Double)

### Rückgabetyp:

Double

### Parameter:

Cost ist der Anschaffungswert eines Wirtschaftsgutes.

Salvage ist der Restwert eines Wirtschaftsgutes am Ende der Abschreibung.

Life ist die Abschreibungsdauer, die die Anzahl von Zeiträumen innerhalb der Abschreibungsdauer des Wirtschaftsgutes bestimmt.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExampleSLN
    REM Berechnet die jährliche Abschreibung eines Kapitals, das 10.000 € am Beginn
    REM des 1. Jahres gekostet hat und einen Restwert von 1.000 € nach 5 Jahren besitzt.
    Dim y_dep As Double
    y_dep = SLN( 10000, 1000, 6 )
    print y_dep ' ergibt 1500.
    End Sub

Verwandte Themen

Funktion LIA (SLN) in CALC

VBA – Finanzmathematische Funktionen